@echo off

cls 

:: AGNIS for Norton Internet Security 4.0 Uninstaller
::
:: Created by Eric L. Howes
::            eburger68@myrealbox.com
::            http://www.staff.uiuc.edu/~ehowes/
::
:: Special Thanks To:
::
::           Christian Haagensen
::                  &
::           David Stockbridge
::
::  ...for testing, advice, encouragement, and patience... 
::
:: Copyright (c) 2000-2002 Eric L. Howes
::
:: This program is free software; you can redistribute it and/or modify it under
:: the terms of the GNU General Public License as published by the Free Software
:: Foundation; either version 2, or (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful, but WITHOUT ANY
:: WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
:: A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
::
:: Some files distributed with this package may not be covered by the GNU GPL. Those
:: files remain the property of their original owners and are covered by the licenses
:: under which they were originally distributed.
::
:: All trademarks are the property of their respective owners.
::
:: You should have received a copy of the GNU General Public License along with this
:: program; see the file COPYING.  If not, write to the Free Software Foundation,
:: 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

::********************************************************************
:1ST-BCK
::********************************************************************

:: ----------------
:: Check for Backup
:: ----------------

   if exist NIS-Back.reg goto INST-CH

:: ------------------------------------------------------------
:: Check if we have NIS and then jump to the appropriate
:: label. If NIS is not found, goes to RETURN.
:: ------------------------------------------------------------

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto PRE-NIS

  :: If we reach this point, we don't have NIS
  echo.
  echo    Sorry - Norton Internet Security not found on this computer.
  echo.
  pause

  goto RETURN

:: ---------------
:: Backup NIS List
:: ---------------
:PRE-NIS

   :: Clean up...
   del check.reg>nul

   :: Backup...

   start /w regedit /e NIS-Back.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM\HTTPConfig\Sites
 
   if exist NIS-Back.reg goto BCK-NOT
   goto ERROR

   goto MENU

:: -------------
:: Backup Notice
:: -------------
:BCK-NOT

   echo.
   echo    **          Welcome to the Uninstaller for the        **
   echo    **   AGNIS Ad Block List Utility for NIS 2002 v. 4.0! **
   echo.
   echo       Your current NIS block list has been backed up to:
   echo.
   echo       NIS-Back.reg...
   echo.
   pause

   goto INST-CH

:: ------------------
:: Install CHOICE.COM
:: ------------------
:INST-CH

   :: check for existence of CHOICE.COM in the usual locations

   if exist %WINDIR%\CHOICE.COM goto MENU
   if exist %WINDIR%\COMMAND\CHOICE.COM goto MENU
   if exist %WINDIR%\SYSTEM\CHOICE.COM goto MENU
   if exist %WINDIR%\SYSTEM32\CHOICE.COM goto MENU

   :: copy CHOICE.COM to the main Windows directory

   copy CHOICE.COM %WINDIR%

   cls

   echo.
   echo    **          Welcome to the Uninstaller for the        **
   echo    **   AGNIS Ad Block List Utility for NIS 2002 v. 4.0! **
   echo.
   echo       CHOICE.COM has been copied to your Windows directory. CHOICE.COM
   echo       is a standard DOS utility that is used by this batch file. 
   echo.
   pause

   goto MENU

::********************************************************************
:MENU
::********************************************************************

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

echo.
echo                     Welcome to the
echo          ----------------------------------------
echo                    Uninstaller for the
echo          AGNIS Ad Block List Utility for NIS 4.0!
echo          ----------------------------------------
echo.
echo.
echo                    ** Main Menu **
echo.
echo.
echo    [1] BACKUP the Current Ad Block List (recommended)
echo.
echo    [2] UNINSTALL the Ad Block List
echo.
echo    [3] CLEAR the Current Ad Block List
echo.
echo    [4] RESTORE an Ad Block List (original or backup)
echo.
echo    [5] EDIT a List (uninstaller or backup)
echo.
echo    [6] Exit
echo.

:: ----------
:: Get choice
:: ----------

echo    What do you want to do?

choice /c:1234567 /n /t:7,90 

if errorlevel 7 goto MENU
if errorlevel 6 goto FIN
if errorlevel 5 goto EDIT
if errorlevel 4 goto RESTORE
if errorlevel 3 goto CLEAR
if errorlevel 2 goto UNINSTALL
if errorlevel 1 goto BACKUP

goto MENU

::********************************************************************
:BACKUP
::********************************************************************

cls

:: --------------
:: Confirm Backup
:: --------------

   echo.
   echo                      ** CONFIRM BACKUP **
   echo. 
   echo.
   echo    This will back up your currently loaded ad block list to 
   echo    a .REG file. Any existing backups will be overwritten.
   echo.
   echo    Are you sure that you want to back up your currently 
   echo    loaded ad block list?   
   echo. 
   echo       [1] YES - backup the current ad block list
   echo       [2] NO  - return to main menu

   choice /c:123 /n /t:3,90

   if errorlevel 3 goto BACKUP
   if errorlevel 2 goto MENU
   if errorlevel 1 goto GO-BACK

goto BACKUP

::------
:GO-BACK
::------

cls

:: ---------------
:: Backup NIS List
:: ---------------
:BACK-NIS

   :: Backup...
   echo.
   echo    You have chosen to back up the NIS block list to:
   echo.
   echo    NIS-Back.reg...
   start /w regedit /e NIS-Back.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM\HTTPConfig\Sites
 
   if exist NIS-Back.reg goto SUCCESS
   goto ERROR

goto RETURN

::********************************************************************
:UNINSTALL
::********************************************************************

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

   echo.
   echo                    ** CONFIRM UNINSTALLATION **
   echo.
   echo.
   echo    This will uninstall the ad block list for NIS 2002 v. 4.0. 
   echo.
   echo    Are you sure that you want to uninstall this ad block list? 
   echo. 
   echo       [1] YES - uninstall the ad block list
   echo       [2] NO  - return to main menu

   choice /c:123 /n /t:3,90

   if errorlevel 3 goto UNINSTALL
   if errorlevel 2 goto MENU
   if errorlevel 1 goto FULL

   goto UNINSTALL

::***
:FULL
::***

cls

:: ------------------
:: Uninstall NIS List
:: ------------------
:IN-NIS

   :: Install...
   echo.
   echo    You have chosen to uninstall the NIS block list...
   if not exist NIS-Back.reg goto IN-ERR
   if not exist uninst.reg goto IN-FILE
   start /w regedit.exe /s uninst.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:IN-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the block list has NOT been uninstalled.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:IN-FILE

   echo.
   echo.
   echo    ...but the uninstaller file could not be found 
   echo   (UNINST.REG). Consequently, the current block list
   echo   has NOT been uninstalled.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU


::********************************************************************
:CLEAR
::********************************************************************


cls

:: -------------
:: Confirm Clear
:: -------------

   echo.
   echo                 ** CONFIRM CLEAR BLOCK LIST **
   echo. 
   echo.
   echo    This will clear your currently loaded ad block list of 
   echo    ALL entries.
   echo.
   echo    If you have custom site entries that you wish to 
   echo    preserve, choose NO from the menu below to return
   echo    to the main main menu and then choose UNINSTALL from
   echo    the main menu. The UNINSTALL option allows you to
   echo    preserve custom site entries.
   echo.
   echo    Are you sure that you want to clear your currently 
   echo    loaded ad block list of ALL entries?   
   echo. 
   echo       [1] YES - clear all entries
   echo       [2] NO  - return to main menu

   choice /c:123 /n /t:3,90

   if errorlevel 3 goto CLEAR
   if errorlevel 2 goto MENU
   if errorlevel 1 goto PROCEED

goto CLEAR

::------
:PROCEED
::------

cls

:: --------------
:: Clear NIS List
:: --------------
:CL-NIS

   :: Clear...
   echo.
   echo    You have chosen to clear the NIS block list completely...
   if not exist NIS-Back.reg goto CL-ERR
   if not exist nis-clr.reg goto CL-FILE
   start /w regedit.exe /s nis-clr.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:CL-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the current block list has NOT been cleared.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:CL-FILE

   echo.
   echo.
   echo    ...but a required file could not be found (AG-CLR.REG or
   echo    NIS-CLR.REG). Consequently, the current block list could 
   echo    NOT be cleared.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU


::********************************************************************
:RESTORE
::********************************************************************

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

echo.
echo                    ** Restore Menu **
echo.
echo.
echo    [1] RESTORE the **ORIGINAL** Ad Block List
echo          Clear the currently loaded ad block list and restore
echo          the original ad block list supplied with @Guard or NIS.
echo.
echo    [2] RESTORE the **BACKUP** Ad Block List
echo          Clear the currently loaded ad block list and restore
echo          the ad block list that you previously backed up.
echo.
echo    [3] Return to the MAIN MENU
echo.
echo    [4] Exit
echo.

:: ----------
:: Get choice
:: ----------

echo    What do you want to do?

choice /c:12345 /n /t:5,90 

if errorlevel 5 goto RESTORE
if errorlevel 4 goto FIN
if errorlevel 3 goto MENU
if errorlevel 2 goto REST-BACK
if errorlevel 1 goto REST-ORG

goto RESTORE

::*******
:REST-ORG
::*******

cls

:: --------------------------------
:: Clear & Restore Default NIS List
:: --------------------------------
:ORG-NIS

   :: Clear & Restore Default...
   echo.
   echo    You have chosen to restore the default NIS block list...
   if not exist NIS-Back.reg goto ORG-ERR
   if not exist nis-clr.reg goto CL-FILE
   if not exist nis-def.reg goto ORG-FILE
   start /w regedit.exe /s nis-clr.reg
   start /w regedit.exe /s nis-def.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:ORG-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the current block list has NOT been cleared,
   echo    nor has the original block list been restored.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:ORG-FILE

   echo.
   echo.
   echo    ...but a required file could not be found (AG-DEF.REG or 
   echo    NIS-DEF.REG). Consequently, the current block list has NOT
   echo    been cleared, nor has the original block list been restored.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::********
:REST-BACK
::********

cls

:: -------------------------------
:: Clear & Restore Backup NIS List
:: -------------------------------
:RS-NIS

   :: Clear & Restore Backup...
   echo.
   echo    You have chosen to restore your backed up NIS block 
   echo    list (NIS-Back.reg)...
   if not exist NIS-Back.reg goto RS-ERR
   if not exist nis-clr.reg goto CL-FILE
   start /w regedit.exe /s nis-clr.reg
   start /w regedit.exe /s nis-back.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:RS-ERR

   echo.
   echo.
   echo    ...but you have not created a backup of your ad block list yet.
   echo    Consequently, the current block list has NOT been cleared, nor
   echo    has a backed up block list been restored.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::********************************************************************
:EDIT
::********************************************************************

cls

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

echo.
echo                    ** Edit Menu **
echo.
echo.
echo    [1] EDIT the **UNINSTALLER** File
echo          Edit the uninstaller file that will
echo          be used to uninstall your block list.
echo.
echo    [2] EDIT the **BACKED UP** Ad Block List
echo          Edit the ad block list that you previously 
echo          backed up.
echo.
echo    [3] Return to the MAIN MENU
echo.
echo    [4] Exit
echo.

:: ----------
:: Get choice
:: ----------

echo    What do you want to do?

choice /c:12345 /n /t:5,90 

if errorlevel 5 goto EDIT
if errorlevel 4 goto FIN
if errorlevel 3 goto MENU
if errorlevel 2 goto ED-BACK
if errorlevel 1 goto ED-FULL

goto EDIT

::******
:ED-FULL
::******

   cls

:: ----------------
:: Edit Uninstaller
:: ----------------
:ED-NISFULL

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit the uninstaller file (UNINST.REG)... 
   if not exist uninst.reg goto ED-FILE
   notepad.exe uninst.reg

   goto MENU

:: --------------
:: No Proper File
:: --------------
:ED-FILE

   echo.
   echo.
   echo    ...but the uninstaller file could not be found (UNINST.REG).
   echo    Consequently, you cannot edit the uninstaller file.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::******
:ED-BACK
::******

   cls

:: ---------------
:: Edit NIS Backup
:: ---------------
:ED-NISBACK

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit your backed up block list (NIS-BACK.REG)... 
   if not exist nis-back.reg goto ED-FILE3
   notepad.exe nis-back.reg

   goto MENU

:: --------------
:: No Proper File
:: --------------
:ED-FILE3

   echo.
   echo.
   echo    ...but a backup of your block list could not be found 
   echo    (NIS-BACK.REG). Consequently, you cannot edit a backed 
   echo    up block list file.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::********************************************************************
:ERROR
::********************************************************************

     echo.
     echo.
     echo    An error ocurred while performing this task...
     echo.
     echo.
     pause
     goto RETURN

::********************************************************************
:SUCCESS
::********************************************************************
  
     echo.
     echo.
     echo    SUCCESS!!
     echo.
     echo.
     pause
     goto MENU

::********************************************************************
:RETURN
::********************************************************************
  
:: -----------------
:: Give Choice Again
:: -----------------

   echo.
   echo.
   echo    What Do You Want to Do Now?
   echo.
   echo    [1] Return to Main Menu
   echo    [2] Exit
   echo.

   choice /c:123 /n /t:3,90

   if errorlevel 3 goto menu
   if errorlevel 2 goto fin
   if errorlevel 1 goto menu

::********************************************************************
:FIN
::********************************************************************

   cls

   echo.
   echo.
   echo    You have chosen to EXIT the Uninstaller for the
   echo    AGNIS Ad Block List Utility for NIS 2002 v. 4.0.
   echo.
   echo.
   echo    Bye for now...
   echo.
   echo.
